Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18283
Description

While working with a shapefile in WGS84/World Mercator (ESPG : 3395), lat/lon coordinates (DMS) in the status bar are not correct
(example : 592937°29'E,1175281°23'N).

I've tried in vain several workarounds to get the right coordinates by playing with "On-the-fly" projection, canvas units, etc. The only one
who gave me the correct coordinates was to create a project in 3395, import the shapefile, untick "Render" and switch the project's CSR
to WGS84. Nonetheless, the map canvas is frozen so quite unhandy.

A correction would be much appreciated. Thanks

Associated revisions

Revision 6453907c - 2016-02-14 04:57 AM - Nyall Dawson

Fix project unit confusion (part 1)

- Remove existing (confusing and totally useless) "canvas units"
setting. This setting was supposed to be used for a confusing number
of totally different uses, eg changing the coordinate display

format and changing the default measurement units, but it was

so broken it did none of these things except change the

coordinate display and it only did that if OTF was off.

- Add a new "coordinate display" section in project settings,
which allows choice of format for coordinate display via a
combo box (this will also make it easy to add additional custom
formats in future), and make this setting work regardless of
whether OTF is on or off. This setting applies to both the
coordinate display in the status bar and coordinates shown

via the identify tool

(refs #13209, fixes #9730)

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer
- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2016-02-13 07:58 PM - Nyall Dawson
- Status changed from Open to Closed
Fixed in changeset commit:"6453907¢cb69764816a82a3b3e97c204cbe48c750".
